<!DOCTYPE html>
<html ng-app="marcus" lang="no" prefix="og: http://ogp.me/ns#">
<head>
  {% include "../../includes/head_common.inc" %}
  {% include "../../includes/head_page.inc" %}
</head>
<body class="search-site">
  <button onclick="topFunction()" id="myBtn" title="Tilbake til toppen"><i class="big caret up icon"></i></button>
  {% include "../../includes/sidebar-search.inc" %}
  {% if lodspk.isAdmin %}    
    {%include "../../includes/static_sidebar_left.inc"%}
  {% endif %}
  <div class="pusher">
    {% include "../../includes/header_search.inc" %}
    <div class="main-content-wrapper">
      

      <script src="{{lodspk.home}}assets/search/vendor.min.js"></script>
      <script src="{{lodspk.home}}assets/search/app.min.js"></script>
      
      <search-controller-wrapper></search-controller-wrapper>

      <!-- problems minifying the following -->
      <script src="https://cdnjs.cloudflare.com/ajax/libs/angular-translate-interpolation-messageformat/2.11.0/angular-translate-interpolation-messageformat.min.js" type="text/javascript"></script>
      <script src="http://monospaced.github.io/bower-qrcode-generator/js/qrcode.js"></script>


      <!--Constants for this particular page-->
      <!--script src="{{lodspk.home}}js/blackbox-search/default-page-settings.js"></script-->

      <script>
          angular.module("settings", [])
          .constant("pageSetting", {
              index: ["{{lodspk.SEARCH_INDEX}}"],
              appRoot: ["assets/search/"], // include trailing slash
              blackboxUrl: "{{lodspk.searchAPI}}", 
              facets: [
                {
                  "field": "type.exact",
                  "size": 30,
                  "operator": "OR",
                  "order": "count_desc",
                  "min_doc_count": 0
                },
                {
                  "label": "genreform",
                  "field": "hasGenreForm.exact",
                  "size": 30,
                  "operator": "OR",
                  "order": "count_desc",
                  "min_doc_count": 0
                },
                {
                  "field": "hasZoom",
                  "size": 10,
                  "operator": "AND",
                  "order": "term_asc",
                  "min_doc_count": 0
                },
                {
                  "field": "isDigitized",
                  "size": 10,
                  "operator": "AND",
                  "order": "count_desc",
                  "min_doc_count": 0
                },
                {
                  "field": "subject.exact",
                  "size": 15,
                  "operator": "AND",
                  "min_doc_count": 1
                },
                {
                  "field": "isPartOf.exact",
                  "size": 15,
                  "operator": "OR",
                  "order": "count_desc",
                  "min_doc_count": 1
                },
                {
                  "field": "producedIn.exact",
                  "size": 10,
                  "operator": "AND",
                  "order": "count_desc",
                  "min_doc_count": 1
                },
                {
                  "field": "maker.exact",
                  "size": 10,
                  "operator": "AND",
                  "order": "count_desc",
                  "min_doc_count": 1
                }
                    //OBS: Supported intervals: weeks(w), days(d), hours(h), minutes(m), seconds(s)
                    /*{
                     "field": "created",
                     "type" : "date_histogram",
                     "format" : "yyyy",
                     "interval" : "520w",
                     "min_doc_count" : 1,
                     "order" : "key_asc"
                 }*/
               ],
               sortOptions: [
                 { value : "", description : "filters.relevance" },
                 { value : "labelSort.exact:asc", description : "filters.labelAsc" },
                 { value : "labelSort.exact:desc", description : "filters.labelDesc" },
                 { value : "identifier:asc", description : "filters.sortAsc" },
                 { value : "identifier:desc", description : "filters.sortDesc" },
                 { value : "available:asc", description : "filters.availableAsc" },
                 { value : "available:desc", description : "filters.availableDesc" },
                 { value : "dateSort:asc", description : "filters.dateAsc" },
                 { value : "dateSort:desc", description : "filters.dateDesc" }
               ],
               tags: {
                  "maker" : { queryField: "maker.exact", responseField: "maker", icon: "user", css: "maker"},
                  "collection" : { queryField: "isPartOf.exact", responseField: "isPartOf", icon: "archive", css: "collection"},
                  "event" : { queryField: "producedIn.exact", responseField: "producedIn", icon: "archive", css: "collection"},
                  "spatial" : { queryField: "spatial.exact", responseField: "spatial", icon: "marker", css: "spatial"},
                  "subject" : { queryField: "subject.exact", responseField: "subject", icon: "tag", css: "subject"},
                  "type" : { queryField: "type.exact", responseField: "type", icon: "file outline", css: "type"},
                  "isDigitized" : { queryField: "isDigitized", responseField: "", icon: "", css: "status"},
                  "hasZoom" : { queryField: "hasZoom", responseField: "", icon: "", css: "status"},
              }
          });
      </script>
    </div>
  </div>
  {%include "../../includes/footer.inc"%}
</body>
</html>
